Bug 1023801 - GDM does not show after logout with second screen connected
GDM does not show after logout with second screen connected
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-27 17:57 EDT by Michael Monreal
Modified: 2015-06-29 08:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 08:44:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2013-10-27 17:57:44 EDT
Description of problem: After logout from GNOME-Shell, the GDM screen does not display if a second screen is connected.

Version-Release number of selected component (if applicable):
gdm-3.10.0-1.fc20.x86_64 (regression from fc19!)

How reproducible:
My setup consists of a laptop (primary screen) and a 24" external/secondary screen.

Steps to Reproduce:
1. logout using the GNOME 3 menu

Actual results:
The primary screen turns black, the secondary turns gray (this seems to be the structured gray GDM/lockscreen background).

Expected results:
The login screen should be displayed.

Additional info:
If I disable the second screen in GNOME I get the same result.

If I CTRL-ALT-F2 to a TTY and then press ALT-F1 the login screen is displayed (and works) correctly.

If I physically disconnect the second screen before logout, everything works fine!
Comment 1 Michael Monreal 2013-10-27 18:18:21 EDT
I just tried to log in "blind" and it worked... so GDM is actually running but it is "hidden" behind a black screen.

I am using the Intel drivers (Ivy Bridge system) and did not notice a similar corruption in other places of the desktop.
Comment 2 Michael Monreal 2013-12-01 13:33:57 EST
Just a quick update: this is still the case with all updates as of today.
Comment 3 Michael Monreal 2014-03-31 13:24:40 EDT
Another update: I finally noticed that the screen actually _does_turn on, the problem is that it is set to 0% brigtness. From a certain angle you can still make out some things and if you are lucky enough you can even set the brighness to a higher level.

This is also discussed in bug #1050136
Comment 4 Fedora End Of Life 2015-05-29 05:38:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:44:26 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.